# PhasicFlow: IOobject::iObject Class Reference

IOobject::iObject Class Referenceabstract
Inheritance diagram for IOobject::iObject:
[legend]

## Public Member Functions

virtual | ~iObject ()=default
virtual uniquePtr< iObject > | clone () const =0
virtual word | typeName () const =0
virtual bool | read_object_t (iIstream &is)=0
virtual bool | write_object_t (iOstream &os) const =0

## Detailed Description

Definition at line 42 of file IOobject.hpp.

## Constructor & Destructor Documentation

## ~iObject()

virtual ~iObject | ( |  | ) |

virtualdefault

## Member Function Documentation

## clone()

virtual uniquePtr<iObject> clone | ( |  | ) | const

pure virtual

Implemented in IOobject::object_t< dataType >.

## typeName()

virtual word typeName | ( |  | ) | const

pure virtual

Implemented in IOobject::object_t< dataType >.

## read_object_t()

virtual bool read_object_t | ( | iIstream & | is | ) |

pure virtual

Implemented in IOobject::object_t< dataType >.

## write_object_t()

virtual bool write_object_t | ( | iOstream & | os | ) | const

pure virtual

Implemented in IOobject::object_t< dataType >.

The documentation for this class was generated from the following file:

- src/phasicFlow/repository/IOobject/IOobject.hpp